/*
 * Hibernate, Relational Persistence for Idiomatic Java
 *
 * License: GNU Lesser General Public License (LGPL), version 2.1 or later.
 * See the lgpl.txt file in the root directory or <http://www.gnu.org/licenses/lgpl-2.1.html>.
 */

package org.hibernate.spatial.testing;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 * <code>NativeSQLStatement</code>s can instantiate a
 * database-specific  <code>PreparedStatement</code> for
 * some database query or operation.
 *
 * @author Karel Maesen, Geovise BVBA
 */
public interface NativeSQLStatement {

	/**
	 * create a PreparedStatement from the specified connection
	 *
	 * @param connection Connection to the database.
	 *
	 * @return
	 *
	 * @throws SQLException
	 */
	public PreparedStatement prepare(Connection connection) throws SQLException;

	public String toString();
}
